JCL/JVCL and 10.1 Berlin Installation Issues

2

Hi all,

Has anyone else been having a nightmare installing the JCL/JVCL on 10.1 Berlin?
Personally, it's starting to get to the point where it just isn't worth the effort to use any of the JEDI stuff anymore.

I downloaded the JCL and JVCL master zip files from sourceforge.
I then ran the install.bat file for the JCL and encountered the JEDI.INC file missing error.
So I downloaded the jedi.inc master file and put it in the ..\jcl\source\include folder.
I re-ran the .bat file and now get a BCC32.exe not found error.

So I tried a different tack and opened the JclPackagesD240.groupproj manually and installed that.
That seemed to work fine ... seemed to ...
I then tried to run the jvcl install.bat file and it gives:
"No Delphi/BCB/BDS/RAD-Studio versions was found that has the required dependencies installed. Please install the dependencies first."

So obviously trying to install the jcl manually screws up anything going onwards with the jvcl.

Has anyone got any solutions or ideas to see how I can get out of this mess, especially since I've been round in circles for about 3 days now.

 

Thanks
Mike

Responses (13)
  • Accepted Answer

    Friday, March 17 2017, 07:07 AM - #Permalink
    0

    GitHub Files worked fine - thanks for updating them! (JCL 2.8 Testing Build 5677 / JVCL 3.50)

    Just a note: You can get a free C++ Compiler (command line version) from Embaradero at embarcadero.com/de/free-tools/ccompiler! So before editing the Registry...

    Just make sure that you add the path to the /bin folder with the compiler to your PATH (Windows).

    After adding jedi.inc from GitHub into the ...jcl\jcl\source\include\jedi\ folder I could compile the JCL compiler and run it using the batch file. JVCL followed.

    Best regards,
    Klaus

    The reply is currently minimized Show
  • Accepted Answer

    Wednesday, March 01 2017, 10:07 PM - #Permalink
    0

    I downloaded jcl-2.8.0.6209.7z, tried to run the install.bat, and what I get is the following:

          ===================================================================
          Compiling JediIncCheck...
          Using Embarcadero RAD Studio 10.1

          This version of the product does not support command line compiling.

          An error occured while compiling the installer. Installation aborted.

          Press any key to continue . . .

     

    ::is it a normal behavior?

     

    The reply is currently minimized Show
  • Accepted Answer

    Thursday, February 16 2017, 12:47 PM - #Permalink
    0

    Have you tried this JEDI 10.1 Berlin here: http://sf.jcl.delphi-jedi.org/daily/ and then install https://github.com/project-jedi/jvcl

    I just installed into my Delphi 10.1 Berlin Update 2 with no problems:

    JEDIInstaller

    JVCLInstall

    The reply is currently minimized Show
  • Accepted Answer

    Friday, February 10 2017, 05:57 AM - #Permalink
    0


    Phew. What a struggle?

     

    I had the same errormessage but this time from the JCL installation.

    "BCC32.exe not found error"

     

    I don't have the Borland C compiler as the message implies - so why am i getting this error???

    Here is a link that helped med. I had to delete a setting from registry. See this page:
    http://issuetracker.delphi-jedi.org/view.php?id=6513

    After that no errormessage and successfull install :-)
    Then I installed JVCL from

    https://github.com/project-jedi/jvcl

     

    No everything is working :-)

     

    Best regards

     

    Ole Henrik Oftedal

    Timeflex Systemer AS

    Norway

    https://www.timeflex.no
    http://www.timeflex.com

     

    The reply is currently minimized Show
  • Accepted Answer

    Wednesday, November 23 2016, 04:14 AM - #Permalink
    0

    I have just installed JVCL on D 10.1 Berlin Update 2 without problem.  It is important to get the latest code,

    http://sf.jcl.delphi-jedi.org/daily/

    then install

    https://github.com/project-jedi/jvcl

    As Borja says, the Sourceforde SVN code is old

    The reply is currently minimized Show
  • Accepted Answer

    Thursday, October 06 2016, 01:30 AM - #Permalink
    0

    Berlin 10.1 installers are available for both JVC and JVCL on codecentral.embarcadero.com  Both installed in my system without a problem. They are in the Delphi / Binaries section.

    Hope this helps

    The reply is currently minimized Show
  • Accepted Answer

    Saturday, October 01 2016, 09:26 PM - #Permalink
    0

    Found the fix for JVCL not installing when bat file run with error dcc32ex.exe not found.

    You have to go and compile the dcc32ex.dproj project file located in

    C:\Location Of JVCL\jvcl\jvcl\packages\bin with Delphi Berlin10.1.x

    You will now have the dcc32ex.exe file in same directory as packages.

    Once this is done the Batch file install.bat in /jvcl/jvcl  will work.

    Never had to do this in the past. Not sure if error or lack of instructions to do this when installing maybe cause they did not have latest Berlin when Jedi was built.

    I am still working through setting up my Delphi Berlin 10.1.1 with bonus pack that I can not get keys for the Raise components or see Berlin downloads in MyUserRegisteredDownloads they were there on 30th Sept but disappeared on 1st Oct have opened a support ticket.

    The reply is currently minimized Show
  • Accepted Answer

    Saturday, September 03 2016, 08:18 AM - #Permalink
    0

    I'm with you Norbert, I'd really like to see such a complete tool set listed under GetIt.

    The reply is currently minimized Show
  • Accepted Answer

    Friday, June 24 2016, 09:07 AM - #Permalink
    0

    I was convinced it was in GetIt, but just went and looked and it isn't :-(  Are there plans to release a GetIt version?  what would be involved?

     

    The reply is currently minimized Show
  • Accepted Answer

    Wednesday, June 22 2016, 03:19 PM - #Permalink
    0

    I got the JCL to install after downloading JEDI.inc and putting it in the jcl\source\jedi\jedi.inc folder, but the JVCL installer won't compile.

    [Compiling installer...]
    Using Embarcadero RAD Studio 10.1
    Embarcadero Delphi for Win32 compiler version 31.0
    Copyright (c) 1983,2016 Embarcadero Technologies, Inc.
    C:\proj\d6comp\jedi\jvcl\jvcl-master\jvcl\common\jvcl.inc(29) Error: E2029 Declaration expected but identifier 'ALERT_jedi_inc_incompatible' found
    JVCLInstall.dpr(90) Error: E2003 Undeclared identifier: 'CmdOptions'
    JVCLInstall.dpr(90) Error: E2029 'THEN' expected but identifier 'Lang' found
    JVCLInstall.dpr(101) Error: E2029 Statement expected but end of file found
    Failed to compile JVCL installer
     

    Looking at line 29...

     

    {$IFNDEF JEDI_INC}

    ALERT_jedi_inc_incompatible

    // secure against old versions of jedi.inc.

    {$ENDIF !JEDI_INC}

     

     

    So, do I need to include the jedi.inc file in the JVCL folder as well? Where exactly?

    thanks...

     

     

    The reply is currently minimized Show
  • Accepted Answer

    Thursday, June 16 2016, 01:09 PM - #Permalink
    2

    Hi all,

    I finally got it running. The file jedi.inc must be in the path

    ...\jedi\jcl\jcl\source\jedi\jedi.inc

    Then start install.bat as administrator. To avoid the "brcc32.exe not found" error uncheck all following checkboxes in the installation GUI:

    "Add JCL to C++ include path"

    "Copy HPP files to configured HPP directory"

    'Check HPP files"

    Now the JCL can be installed. After that installation of the JVCL is running fine also.

    Regards

    Norbert

     

    The reply is currently minimized Show
  • Accepted Answer

    Thursday, June 16 2016, 12:27 PM - #Permalink
    0

    Hi,

    I downloaded the latest versions from Github but encountered still the same errors as Mike. Is there a Getit-package for JCL/JVCL and Berlin 10.1 on its way? I think it would be very welcome around the Delphi community. or is there an other way to get it installed?

    Thanks

    Norbert

    The reply is currently minimized Show
  • Accepted Answer

    Wednesday, June 15 2016, 11:38 AM - #Permalink
    1

    You have to download it from github:

    https://github.com/project-jedi/jvcl/tree/master/jvcl

    Sourceforge build is outdated.

     

    The reply is currently minimized Show
Your Reply

Please login to post a reply